> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-uddatetime.md).

# New-UDDateTime

New-UDDateTime formatiert einen Datums- und Zeitwert in PowerShell Universal unter Verwendung der Locale und Zeitzone des besuchenden Browsers anstelle der des Servers.

### Übersicht

Diese Datums- und Zeitkomponente wird zum Formatieren von Datums- und Zeitangaben anhand der Browsereinstellungen des Benutzers verwendet.

### Syntax

```powershell
New-UDDateTime [-Id <String>] [[-InputObject] <DateTime>] [-LocalizedFormat <String>] [-Locale <String>] [<CommonParameters>]

New-UDDateTime [-Id <String>] [[-InputObject] <DateTime>] [-Format <String>] [-Locale <String>] [<CommonParameters>]
```

### Beschreibung

Diese Datums- und Zeitkomponente wird zum Formatieren von Datums- und Zeitangaben anhand der Browsereinstellungen des Benutzers verwendet. Da Universal Dashboard-PowerShell-Skripte innerhalb des Servers ausgeführt werden, werden die Datums- und Zeiteinstellungen des Systems des Benutzers nicht berücksichtigt. Diese Komponente formatiert Datum und Uhrzeit im Browser des Clients, um dessen Locale und Zeitzone zu berücksichtigen.

### Parameter

#### -Id

Die ID dieser Komponente.

```
Required?                    false
Position?                    named
Default value                [Guid]::NewGuid()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -InputObject

Das zu formatierende Datums- und Zeitobjekt.

```
Required?                    false
Position?                    1
Default value                (Get-Date)
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Format

Das Format von Datum und Uhrzeit. Diese Komponente verwendet Day.JS. Mehr über die Formatierungsoptionen erfahren Sie in deren Dokumentation: <https://day.js.org/docs/en/display/format>

```
Required?                    false
Position?                    named
Default value                DD/MM/YYYY
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LocalizedFormat

Das lokalisierte Format für Datum und Uhrzeit. Verwenden Sie dieses Format, wenn Sie die Locale- und Zeitzoneneinstellungen des Browsers des Benutzers berücksichtigen möchten.

```
Required?                    false
Position?                    named
Default value                LLL
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Locale

Die beim Formatieren von Datum und Uhrzeit zu verwendende Locale. Standardmäßig nicht festgelegt.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Allgemeine Parameter

Dieses Cmdlet unterstützt die allgemeinen Parameter: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable und OutVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Ausgaben

### Beispiele

#### Beispiel 1

```powershell
New-UDDateTime -InputObject (Get-Date) -Format 'DD/MM/YYYY' -Id 'dateTime1'
```

Formatiert ein Datum und eine Uhrzeit mit dem Format 'DD/MM/YYYY'

#### Beispiel 2: Lokalisiertes Format

```powershell
New-UDDateTime -InputObject (Get-Date) -LocalizedFormat 'LLL' -Id 'dateTime2'
```

Formatiert ein Datum und eine Uhrzeit mit dem lokalisierten Format 'LLL'

#### Beispiel 3: Locale

```powershell
New-UDDateTime -InputObject (Get-Date) -Locale 'es' -Id 'dateTime3'
```

Formatiert ein Datum und eine Uhrzeit mit der Locale 'es'


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-uddatetime.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
